﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Builder;
using Microsoft.AspNetCore.Hosting;
using Microsoft.AspNetCore.Http;
using Microsoft.Extensions.DependencyInjection;

namespace Study.DelegateSeries.MarkdownDoc
{
    public class Startup
    {
         /// <summary>
         /// 此方法被运行时调用
         /// 使用此方法添加服务到服务容器中
         /// 详细信息，请移步 https://go.microsoft.com/fwlink/?LinkID=398940
         /// </summary>
        public void ConfigureServices(IServiceCollection services)
        {
        }

        /// <summary>
        /// 此方法被运行时调用
        /// 使用此方法配置Http请求管道
        /// </summary>
        public void Configure(IApplicationBuilder app, IHostingEnvironment env)
        {
            if (env.IsDevelopment())
            {
                app.UseDeveloperExceptionPage();
            }

            //配置：只使用静态文件服务

            app.UseDefaultFiles();

            app.UseStaticFiles();
        }
    }
}
